package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.DetailEquipment;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 楼层与设备关联Service接口
 * 
 * @author ics
 * @date 2024-03-27
 */
public interface IDetailEquipmentService extends IService<DetailEquipment> {
    /**
     * 查询楼层与设备关联
     * 
     * @param id 楼层与设备关联ID
     * @return 楼层与设备关联
     */
    DetailEquipment selectDetailEquipmentById(Long id);

    /**
     * 查询楼层与设备关联列表
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 楼层与设备关联集合
     */
    List<DetailEquipment> selectDetailEquipmentList(DetailEquipment detailEquipment);

    /**
     * 新增楼层与设备关联
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 结果
     */
    int insertDetailEquipment(DetailEquipment detailEquipment);

    /**
     * 修改楼层与设备关联
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 结果
     */
    int updateDetailEquipment(DetailEquipment detailEquipment);

    /**
     * 批量删除楼层与设备关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteDetailEquipmentByIds(String ids);

    /**
     * 删除楼层与设备关联信息
     * 
     * @param id 楼层与设备关联ID
     * @return 结果
     */
    int deleteDetailEquipmentById(Long id);

    DetailEquipment selectByEquipmentId(Long id);

    List<DetailEquipment> selectByRoomId(Long id);

    int deleteDetailEquipment(Long id);
}
